Packages - Bug #3334

Make aarch64-linux-gnu-gcc work again on armv7h
2022-08-28 10:28 AM - GNUtoo

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description

Before we had an aarch64-linux-gnu-gcc package on armv7h, but it was removed accidentally.
And if we build the PKGBUILD it fails, so we need to fix the build and to upload a new package.

NOTE: the main reason we want this, is to compile the aarch64 kernel and bootloaders in a armv7h librechroot

Subtasks:

Packaging Request # 3304: linux-libre-64 5.18.5 open
Packaging Request # 3309: [uboot-pinebookpro]: build recipe open
Packaging Request # 3450: [uboot4extlinux-sunxi]: olimex teres build recipe in progress
History

#1 - 2022-08-28 10:29 AM - GNUtoo

- Parent task set to #3309

#2 - 2022-08-28 04:11 PM - bill-auger

most of the cross-compiler toolchain packages are in armv7h/libre-testing now - 'aarch64-linux-gnu-gcc' was the only problematic package

aarch64-linux-gnu-gcc—initial 9.3.0-1parabolal
aarch64-1linux-gnu-binutils 2.38-1
aarch64-1linux-gnu-glibc 2.35-1

aarch64-linux-gnu-linux-libre-api-headers 5.18_gnu-1

we were able to package linux-libre-64 for armv7h, by cross-compiling from x86_64, either with “export CARCH=armv7h ; makepkg -s ;" or by putting
"CARCH=armv7h" in the PKGBUILD - its not a great general solution, but that is perhaps a good path to bootstrapping 'aarch64-linux-gnu-gcc' for
armv7h

#3 - 2022-08-28 06:51 PM - bill-auger
- Parent task deleted (#3309)

#4 - 2022-08-28 06:54 PM - bill-auger

i re-parented these tickets to group them with 'linux-libre-64', which is also blocked, depending on the cross-compiler

#5 - 2023-02-28 11:01 PM - bill-auger

- Description updated
#6 - 2023-02-28 11:20 PM - bill-auger
could any of these be helpful?

https://aur.archlinux.org/packages/aarch64-gcc-bootstrap
The GNU Compiler Collection - cross compiler for ARM64 target - bootstrap compiler

or maybe these to cross-compile the cross-compiler?

https://aur.archlinux.org/packages/arm-linux-gnueabihf-gcc-stage1
The GNU Compiler Collection. Stage 1 for toolchain building (arm-linux-gnueabihf)
https://aur.archlinux.org/pack rm-linux-gn ihf-gcc- 2

The GNU Compiler Collection. Stage 2 for toolchain building (arm-linux-gnueabihf)
https://aur.archlinux.org/packages/arm-linux-gnueabihf-gcc

The GNU Compiler Collection (arm-linux-gnueabihf)
